> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Portfolio by ID



## OpenAPI

````yaml /copper-open-api-public.json get /portfolios/{portfolioId}
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /portfolios/{portfolioId}:
    get:
      tags:
        - portfolios
      summary: Retrieve Portfolio by ID
      parameters:
        - in: path
          name: portfolioId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Portfolio'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    Portfolio:
      properties:
        createdAt:
          description: Portfolio creation date
          examples:
            - '1617235200000'
          type: string
        createdBy:
          description: Portfolio creator ID
          type: string
        extra:
          $ref: '#/components/schemas/PortfolioExtra'
          description: Portfolio extra data
          type: object
        isActive:
          description: Portfolio active state
          type: boolean
        organizationId:
          description: Organization ID
          examples:
            - 1fa95ae7-5f74-4258-a4c6-687b39d7941d
          type: string
        portfolioDescription:
          description: Portfolio description
          examples:
            - My portfolio description
          type: string
        portfolioId:
          description: Portfolio id
          type: string
        portfolioName:
          description: Portfolio name
          examples:
            - My portfolio
          type: string
        portfolioType:
          $ref: '#/components/schemas/PortfolioType'
          description: Portfolio type. [See details](/enums/PortfolioType)
          examples:
            - custody
        status:
          $ref: '#/components/schemas/PortfolioStatus'
          description: Portfolio status
          examples:
            - active
        updatedAt:
          description: Portfolio update date
          examples:
            - '1617235200000'
          type: string
        updatedBy:
          description: Portfolio updater ID
          type: string
      required:
        - portfolioId
        - portfolioName
        - portfolioType
        - createdBy
        - createdAt
        - isActive
      type: object
    PortfolioExtra:
      properties:
        autodiscoveredAccountStatus:
          $ref: '#/components/schemas/AutodiscoveredAccountStatus'
          description: >-
            Sub-status used to determine the state of walled-garden or clearloop
            portfolio
        baseCurrency:
          description: Base currency for external account that use margin pair
          type: string
        clearLoopDelegationsBlocked:
          description: Portfolio Delegations are disabled/blocked
          type: boolean
        clearLoopPortfolioId:
          description: Identifier of a ClearLoop portfolio, if any
          type: string
        clearLoopUnDelegationsBlocked:
          description: Portfolio Undelegations are disabled/blocked
          type: boolean
        clientAccountId:
          description: Unique client exchange's account identifier used for ClearLoop
          type: string
        customerId:
          description: External customer identifier from an exchange
          type: string
        exchange:
          description: External exchange associated with this portfolio
          examples:
            - okex
          type: string
        exchangeAccountType:
          $ref: '#/components/schemas/ExchangeAccountType'
          description: External portfolio exchange account type
        externalAccountId:
          description: >-
            Identifier of an external third-party account related to the
            portfolio
          type: string
        parentPortfolioId:
          description: Identifier of a parent portfolio, if any
          type: string
        quoteCurrency:
          description: Quote currency for external account that use margin pair
          type: string
        showWalletBalance:
          $ref: '#/components/schemas/BalanceType'
          description: >-
            Type of balance shown for the external account. [See
            details](/enums/BalanceType)
        usdWithdrawalLimit:
          description: Withdrawal limit of the portfolio in USD
          type: string
      type: object
    PortfolioType:
      enum:
        - custody
        - trading-vault
        - trading
        - external
        - clearloop
      type: string
    PortfolioStatus:
      enum: []
      type: string
    AutodiscoveredAccountStatus:
      enum: []
      type: string
    ExchangeAccountType:
      enum: []
      type: string
    BalanceType:
      enum:
        - real
        - margin
      type: string

````